#!groovy

stage 'deploy'

node('ruby-osx') {
    sh "bundle install --path='./gems/'"

    sh """DROPBOX_ACCESS_TOKEN=${env.DROPBOX_ACCESS_TOKEN} \
            RUBYOPT='-W0' \
            CI_CAPTURE=off \
            bundle exec \
            build"""

    sh "gem --key ${GEM_KEY} push $(find pkg | tail -1)"

    sh """jenkinsutil -s \"pkg/*,test/reports/**/*.xml\" \
        -d \"/L4Builds/L4/JenkinsUtil/${BUILD_NUMBER}/\""""
}